Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.lwjgl
Class BufferChecks

    java.lang.Object
      org.lwjgl.BufferChecks

    public class BufferChecks

extends java.lang.Object

A class to check buffer boundaries in general. If there is unsufficient space in the buffer when the call is made then a buffer overflow would otherwise occur and cause unexpected behaviour, a crash, or worse, a security risk. Internal class, don't use.

Version:
  $Revision: 2768 $ $Id: BufferChecks.java 2768 2007-04-15 19:43:35Z elias_naur $
Author:
  cix_foo , elias_naur

Method Summary
`static void` | `checkBuffer(java.nio.ByteBuffer buf, int size)`
`static void` | `checkBuffer(java.nio.DoubleBuffer buf, int size)`
`static void` | `checkBuffer(java.nio.FloatBuffer buf, int size)`
`static void` | `checkBuffer(java.nio.IntBuffer buf, int size)`
`static void` | `checkBuffer(java.nio.LongBuffer buf, int size)`
`static void` | `checkBuffer(java.nio.ShortBuffer buf, int size)`
`static void` | `checkBufferSize(java.nio.Buffer buf, int size)` Helper method to ensure a buffer is big enough to receive data from a glGet* operation.
`static void` | `checkDirect(java.nio.ByteBuffer buf)` Helper methods to ensure a buffer is direct (and, implicitly, non-null).
`static void` | `checkDirect(java.nio.DoubleBuffer buf)`
`static void` | `checkDirect(java.nio.FloatBuffer buf)`
`static void` | `checkDirect(java.nio.IntBuffer buf)`
`static void` | `checkDirect(java.nio.LongBuffer buf)`
`static void` | `checkDirect(java.nio.ShortBuffer buf)`
`static void` | `checkFunctionAddress(long pointer)` Helper methods to ensure a function pointer is not-null (0)
`static void` | `checkNotNull(java.lang.Object o)`
`static void` | `checkNullTerminated(java.nio.ByteBuffer buf)` Helper methods to ensure a ByteBuffer is null-terminated

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### checkFunctionAddress

    public static void checkFunctionAddress(long pointer)

  Helper methods to ensure a function pointer is not-null (0)

### checkNullTerminated

    public static void checkNullTerminated(java.nio.ByteBuffer buf)

  Helper methods to ensure a ByteBuffer is null-terminated

### checkNotNull

    public static void checkNotNull(java.lang.Object o)

### checkDirect

    public static void checkDirect(java.nio.ByteBuffer buf)

  Helper methods to ensure a buffer is direct (and, implicitly, non-null).

### checkDirect

    public static void checkDirect(java.nio.ShortBuffer buf)

### checkDirect

    public static void checkDirect(java.nio.IntBuffer buf)

### checkDirect

    public static void checkDirect(java.nio.LongBuffer buf)

### checkDirect

    public static void checkDirect(java.nio.FloatBuffer buf)

### checkDirect

    public static void checkDirect(java.nio.DoubleBuffer buf)

### checkBufferSize

    public static void checkBufferSize(java.nio.Buffer buf,
                                       int size)

  Helper method to ensure a buffer is big enough to receive data from a glGet* operation.

  Parameters:
    `buf` - The buffer to check
    `size` - The minimum buffer size
  Throws:
    `java.lang.IllegalArgumentException`

### checkBuffer

    public static void checkBuffer(java.nio.ByteBuffer buf,
                                   int size)

### checkBuffer

    public static void checkBuffer(java.nio.ShortBuffer buf,
                                   int size)

### checkBuffer

    public static void checkBuffer(java.nio.IntBuffer buf,
                                   int size)

### checkBuffer

    public static void checkBuffer(java.nio.LongBuffer buf,
                                   int size)

### checkBuffer

    public static void checkBuffer(java.nio.FloatBuffer buf,
                                   int size)

### checkBuffer

    public static void checkBuffer(java.nio.DoubleBuffer buf,
                                   int size)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 lwjgl.org. All Rights Reserved.